installare-wordpress
Come installare WordPress in locale
22 luglio 2016
trends 2016
7 tendenze del web design per il 2016
12 agosto 2016
Show all

PHP 7 sul tuo sito WordPress

Controlla che il tema e i plugin del tuo sito WordPress siano pronti per PHP 7

la versione più recente è il PHP 7, il linguaggio sul quale è basato WordPress. Attualmente WordPress funziona con versioni di PHP 5.2.4 o superiori, anche se è caldamente consigliato usare almeno la versione 5.6.

wordpress-php7-700x366

Perché allora pensare a PHP 7 se WordPress funziona anche con versioni inferiori di PHP? Ecco alcune ragioni:

PHP 7 è molto più veloce e consuma meno risorse rispetto alle versioni precedenti

Questo significa tempi di caricamento delle pagine più ridotti e supporto per carichi di lavoro più elevati a parità di infrastruttura hardware. Il grafico sottostante mostra un confronto tra WP 3.6 e WP 4.1 con varie versioni di PHP (5.6, 7 e HHVM).

wp-php7-performance

L’immagine sottostante mostra invece un test condotto con 25 utenti contemporanei per 5 minuti su 10 URL casuali. I numeri rappresentano il numero di transazioni effettuate.

php7-graph1-750x486

Appare quindi evidente come PHP 7 sia di gran lunga superiore in termini di prestazioni alla versione 5.

Prima di aggiornare, verifica che il tuo sito WordPress sia compatibile con PHP 7

PHP 7 ha introdotto però parecchi cambiamenti al linguaggio e non è detto che il tema e i plugin che utilizzi sul tuo sito WordPress siano compatibili. Quindi, anche se il tuo fornitore di hosting ti permette di attivare il supporto a PHP 7 ti consiglio di non effettuare questo passaggio alla leggera. Meglio prima verificare che il tuo sito WordPress sia compatibile con PHP 7.

Per effettuare questo test, ti consiglio di installare un plugin come PHP Compatibility Checker, un plugin creato da WPEngine che ti consente di verificare velocemente se il tuo tema e i plugin che hai installato sul tuo sito WordPress sono compatibili con le varie versioni di PHP.

PHP Compatibility Checker, che è scaricabile gratuitamente, ti consente infatti di verificare non solo la compatibilità con PHP 7, ma anche quella con le versioni 5.5, 5.4 e 5.3 di PHP.

Una volta installato e attivato il plugin, nella sezione Strumenti all’interno dell’area amministrativa di WordPress comparirà la voce “PHP Compatibility” che ti permetterà di accedere alle funzionalità del plugin.

Qui potrai selezionare cosa testare del tuo sito (solo plugin e tema attivo o tutti i temi e plugin che hai installato) e per che versione di PHP verificare la compatibilità.

Una volta completato il test, il plugin ti mostrerà una lista che riporta tutti i temi e i plugin, indicando per ognuno la compatibilità o meno con quella versione di PHP.

PHP-Compatibility-Checker-750x561

Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *